{
  "name": "turboci-admin",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "project:init": "chmod +x ./src/scripts/shell/init.sh && ./src/scripts/shell/init.sh",
    "dev": "next dev -p 3772",
    "pm2:dev": "./src/scripts/shell/start-dev.sh",
    "pm2:start": "./src/scripts/shell/start-prod.sh",
    "pm2:kill": "pm2 kill",
    "twui:init": "git submodule update --init twui",
    "twui:update": "git submodule update --remote",
    "twui:add": "git submodule add https://git.tben.me/Moduletrace/tailwind-ui-library.git twui",
    "db:schema": "bunx nsqlite schema -t",
    "docker:start": "docker compose down && docker compose up --build -d",
    "docker:logs": "docker compose logs -f -n 50",
    "rebuild:better-sqlite3": "npm rebuild better-sqlite3",
    "chown:root-dir": "sudo chown -R archben:archben .",
    "git:push": "git add . && git commit -m 'Updates' && git push",
    "build": "next build"
  },
  "dependencies": {
    "@moduletrace/bun-sqlite": "^1.0.10",
    "@moduletrace/datasquirel": "^5.7.57",
    "@moduletrace/nsqlite": "^1.0.10",
    "better-sqlite3": "^12.6.2",
    "bun": "^1.3.10",
    "dayjs": "^1.11.19",
    "gray-matter": "^4.0.3",
    "html-to-react": "^1.7.0",
    "lodash": "^4.17.23",
    "lucide-react": "^0.577.0",
    "mdx": "^0.3.1",
    "next": "14^",
    "next-mdx-remote": "^6.0.0",
    "openai": "^6.25.0",
    "react": "19.2.3",
    "react-code-blocks": "^0.1.6",
    "react-dom": "19.2.3",
    "react-responsive-modal": "^7.1.0",
    "rehype-prism-plus": "^2.0.2",
    "remark-gfm": "^4.0.1",
    "tailwind-merge": "^3.5.0",
    "zod": "^4.3.6"
  },
  "devDependencies": {
    "@next/mdx": "^16.1.6",
    "@tailwindcss/postcss": "^4",
    "@types/ace": "^0.0.52",
    "@types/bun": "^1.3.10",
    "@types/mdx": "^2.0.13",
    "@types/node": "^20",
    "@types/react": "^19.2.14",
    "@types/react-dom": "^19.2.3",
    "tailwindcss": "^4.2.1",
    "typescript": "^5.9.3"
  },
  "ignoreScripts": [
    "sharp",
    "unrs-resolver"
  ],
  "trustedDependencies": [
    "sharp",
    "unrs-resolver"
  ],
  "module": "index.ts",
  "type": "module"
}
